/*

in dem Script kann man sowohl das auslösende Element (auf das man klickt),
das betroffene Element (bei dem eine Klasse getoggelt werden soll)
und die gewünschte Klasse in einer Zeile festlegen

in CSS legt man dann fest, was bei dem Klassenwechsel passieren soll

Aufruf: klickKlasseEinAus(auslösendesElement, betroffenesElement, KlassenName);
klickKlasseEinAus("#klicker", "#einAusBlender", "unsichtbar");
klickKlasseEinAus("body", "p:last-of-type", "unsichtbar");

*/

function klassenToggle(element, klasse) {
  const ele = document.querySelector(element);
  ele.classList.toggle(klasse);
}

function klickKlasseEinAus(ausloeser, element, klasse) {
  document.querySelector(ausloeser).addEventListener("click", function() {
    klassenToggle(element, klasse);

    console.log(
      `Via Klicken auf das Element "${ausloeser}" wird bei "${element}" die Klasse "${klasse}" getoggelt`
    );
  });
}

// Klicken auf den "button#nachtansicht" fügt dem "html"-Tag
// die Klasse "nacht" hinzu oder entfernt diese
klickKlasseEinAus("#nachtansicht", "html", "nacht");
